Bug 596442 - [abrt] crash in gmixer-1.3-12.fc12: display.py:539:send_and_recv:ConnectionClosedError: Display connection closed by server: Connection reset by peer
[abrt] crash in gmixer-1.3-12.fc12: display.py:539:send_and_recv:ConnectionCl...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-xlib (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:c2801b36
:
: 596524 599667 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 14:35 EDT by Stefan Murariu
Modified: 2011-03-01 19:17 EST (History)
38 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:19:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.64 KB, text/plain)
2010-05-26 14:35 EDT, Stefan Murariu
no flags Details

  None (edit)
Description Stefan Murariu 2010-05-26 14:35:53 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python -OO /usr/bin/gmixer -d
component: gmixer
executable: /usr/bin/gmixer
kernel: 2.6.32.11-99.fc12.x86_64
package: gmixer-1.3-12.fc12
reason: display.py:539:send_and_recv:ConnectionClosedError: Display connection closed by server: Connection reset by peer
release: Fedora release 12 (Constantine)

backtrace
-----
display.py:539:send_and_recv:ConnectionClosedError: Display connection closed by server: Connection reset by peer

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/gtktrayicon.py", line 98, in reconnect_dock
    if self.update_manager_window(False):
  File "/usr/lib64/python2.6/site-packages/gtktrayicon.py", line 167, in update_manager_window
    xdisplay = self.get_xdisplay()
  File "/usr/lib64/python2.6/site-packages/gtktrayicon.py", line 161, in get_xdisplay
    xdisplay =  Xdisplay.Display(name)
  File "/usr/lib/python2.6/site-packages/Xlib/display.py", line 83, in __init__
    self.display = _BaseDisplay(display)
  File "/usr/lib/python2.6/site-packages/Xlib/display.py", line 65, in __init__
    apply(protocol.display.Display.__init__, (self, ) + args, keys)
  File "/usr/lib/python2.6/site-packages/Xlib/protocol/display.py", line 116, in __init__
    auth_prot_data = auth_data)
  File "/usr/lib/python2.6/site-packages/Xlib/protocol/display.py", line 982, in __init__
    display.send_and_recv(request = -1)
  File "/usr/lib/python2.6/site-packages/Xlib/protocol/display.py", line 539, in send_and_recv
    raise self.socket_error
ConnectionClosedError: Display connection closed by server: Connection reset by peer

Local variables in innermost frame:
sending: 0
gotreq: 0
err: error(104, 'Connection reset by peer')
rs: [<socket._socketobject object at 0x19143d0>]
i: 48
self: <Xlib.display._BaseDisplay instance at 0x1845710>
req: <Xlib.protocol.display.ConnectionSetupRequest instance at 0x1845998>
request: -1
flush_bytes: None
recieving: 1
ws: []
timeout: None
flush: None
wait: 1
recv: None
event: None
es: []
writeset: []
Comment 1 Stefan Murariu 2010-05-26 14:35:55 EDT
Created attachment 416973 [details]
File: backtrace
Comment 2 leigh scott 2010-05-26 17:37:54 EDT
*** Bug 596524 has been marked as a duplicate of this bug. ***
Comment 3 Joel Uckelman 2010-05-27 13:10:05 EDT
Package: gmixer-1.3-12.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Crashed on login.
Comment 4 leigh scott 2010-06-17 18:50:54 EDT
*** Bug 599667 has been marked as a duplicate of this bug. ***
Comment 5 Terry Wallwork 2010-06-19 06:55:58 EDT
Package: gmixer-1.3-15.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Not sure the cause
Comment 6 Jef Spaleta 2010-06-19 13:55:44 EDT
python-xlib has problems which are difficult to reproduce. I have several reports of gmixer crashers..but I can't reliably produce a crasher..so its difficult for me to debug the problem.

Are you running with desktop effects enabled?

-jef
Comment 7 Terry Wallwork 2010-06-19 14:06:18 EDT
No I don't have desktop effects enabled.
Comment 8 Vector Thorn 2010-06-30 13:24:48 EDT
Package: gmixer-1.3-12.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I don't know
2. what went
3. wrong
Comment 9 Vector Thorn 2010-07-10 01:39:11 EDT
Package: gmixer-1.3-12.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I have no
2. idea what
3. went wrong
Comment 10 Jef Spaleta 2010-07-10 18:35:27 EDT
Vector,

Yep, this is a tough one to track down. I can't reproduce it on my systems at all.

Is this happening all the time for your, or is it a random crash?

What video driver are you running?

-jef
Comment 11 greg 2010-07-23 02:33:24 EDT
Package: gmixer-1.3-12.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
I have two "HDA NVidia (Alsa mixer)" in the control panel, one of them makes it crash
Comment 12 GJahchan 2010-08-19 16:08:20 EDT
Package: gmixer-1.3-15.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start gnome from a cold boot.
2.
3.
Comment 13 GJahchan 2010-08-24 15:28:22 EDT
Package: gmixer-1.3-15.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Computer was unattended for about 3 hours.
2.
3.


Comment
-----
Don't know.
Comment 14 Vector Thorn 2010-09-12 01:13:40 EDT
Package: gmixer-1.3-12.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I have
2. no
3. clue
Comment 15 Omar Berroteran 2010-09-12 09:23:08 EDT
Package: gmixer-1.3-15.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. only start app
2.
3.
Comment 16 GJahchan 2010-09-20 02:36:35 EDT
Package: gmixer-1.3-15.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Adjusting volume while listening to audio files.
2.
3.
Comment 17 GJahchan 2010-09-28 13:55:14 EDT
Package: gmixer-1.3-15.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. No user action required.
2.
3.
Comment 18 echapin 2010-10-07 00:18:45 EDT
Package: gmixer-1.3-15.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----

2.
3.


Comment
-----
unknown
Comment 19 GJahchan 2010-10-14 05:43:52 EDT
Package: gmixer-1.3-17.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Using Skype.
2.
3.
Comment 20 Dave Allan 2010-10-26 10:26:28 EDT
Package: gmixer-1.3-12.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
No idea, hope the trace is helpful.
Comment 21 Bug Zapper 2010-11-03 10:06:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 GJahchan 2010-11-06 00:31:28 EDT
Package: gmixer-1.3-17.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Occurs when using Skype Beta 2.1.0.81
2.
3.


Comment
-----
Placed a Skype test call.
Comment 23 echapin 2010-11-06 20:26:36 EDT
Package: gmixer-1.3-17.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.no info
2.
3.
Comment 24 echapin 2010-11-06 20:27:20 EDT
Package: gmixer-1.3-17.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.no info
2.
3.
Comment 25 Nuno Dias 2010-11-08 16:52:09 EST
Package: gmixer-1.3-17.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open gmixer
2. Change master sound
3. Close gmixer
Comment 26 Calvin Smith 2010-11-16 03:35:30 EST
Package: gmixer-1.3-17.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


Comment
-----
This crash happened when I booted up my netbook (ASUS Eee PC 4G) so I do not know what caused it or how to reproduce it.
Comment 27 Gajdos Tamás 2010-11-22 18:43:35 EST
Package: gmixer-1.3-17.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
Sorry, don't know. I am just an operator
Comment 28 zayco 2010-11-24 09:45:50 EST
Package: gmixer-1.3-17.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.log in
2.
3.
Comment 29 Bug Zapper 2010-12-03 09:19:49 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 30 Kerry 2011-03-01 19:17:39 EST
This bug still exists in Fedora 14. Closing the bug as end of life for Fedora 12 has only caused abrt to not be able to report current crashes (filed https://bugzilla.redhat.com/show_bug.cgi?id=681385 against that problem). Here is output from a current crash.

Package:     gmixer-1.3-17.fc14
Latest Crash: Mon 28 Feb 2011 10:48:49 
Command:     /usr/bin/python -OO /usr/bin/gmixer -d
Reason:      display.py:523:send_and_recv:ConnectionClosedError: Display
connection closed by server: Broken pipe
Comment:     None
Bug Reports: Status: CLOSED WONTFIX
  https://bugzilla.redhat.com/show_bug.cgi?id=596442

display.py:523:send_and_recv:ConnectionClosedError: Display connection closed
by server: Broken pipe

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gtktrayicon.py", line 98, in
reconnect_dock
    if self.update_manager_window(False):
  File "/usr/lib/python2.7/site-packages/gtktrayicon.py", line 167, in
update_manager_window
    xdisplay = self.get_xdisplay()
  File "/usr/lib/python2.7/site-packages/gtktrayicon.py", line 161, in
get_xdisplay
    xdisplay =  Xdisplay.Display(name)
  File "/usr/lib/python2.7/site-packages/Xlib/display.py", line 102, in
__init__
    exts = self.list_extensions()
  File "/usr/lib/python2.7/site-packages/Xlib/display.py", line 676, in
list_extensions
    r = request.ListExtensions(display = self.display)
  File "/usr/lib/python2.7/site-packages/Xlib/protocol/rq.py", line 1428, in
__init__
    self.reply()
  File "/usr/lib/python2.7/site-packages/Xlib/protocol/rq.py", line 1440, in
reply
    self._display.send_and_recv(request = self._serial)
  File "/usr/lib/python2.7/site-packages/Xlib/protocol/display.py", line 523,
in send_and_recv
    raise self.socket_error
ConnectionClosedError: Display connection closed by server: Broken pipe

Local variables in innermost frame:
sending: 1
err: error(32, 'Broken pipe')
rs: [<socket._socketobject object at 0x930d224>]
self: <Xlib.display._BaseDisplay instance at 0x919184c>
req: <Xlib.protocol.request.ListExtensions serial = 2, data = None, error =
None>
request: 2
flush_bytes: None
recieving: 1
ws: [<socket._socketobject object at 0x930d224>]
timeout: None
flush: None
wait: 1
recv: None
event: None
es: []
writeset: [<socket._socketobject object at 0x930d224>]

Note You need to log in before you can comment on or make changes to this bug.